import request from '@/utils/request'

// 查询我的灵活从业者列表
export function listUser(query) {
  return request({
    url: '/myUser/flexibleUsers/list',
    method: 'get',
    params: query
  })
}

// 查询我的灵活从业者详细
export function getUser(id) {
  return request({
    url: '/myUser/flexibleUsers/' + id,
    method: 'get'
  })
}

// 新增我的灵活从业者
export function addUser(data) {
  return request({
    url: '/myUser/flexibleUsers',
    method: 'post',
    data: data
  })
}

// 修改我的灵活从业者
export function updateUser(data) {
  return request({
    url: '/myUser/flexibleUsers',
    method: 'put',
    data: data
  })
}

// 删除我的灵活从业者
export function delUser(id) {
  return request({
    url: '/myUser/flexibleUsers/' + id,
    method: 'delete'
  })
}
