import request from '@/utils/request'

// 查询订单信息列表
export function listInformation(query) {
  return request({
    url: '/system/order/information/list',
    method: 'get',
    params: query
  })
}

// 查询订单信息详细
export function getInformation(id) {
  return request({
    url: '/system/order/information/' + id,
    method: 'get'
  })
}

// 新增订单信息
export function addInformation(data) {
  return request({
    url: '/system/order/information',
    method: 'post',
    data: data
  })
}

// 修改订单信息
export function updateInformation(data) {
  return request({
    url: '/system/order/information',
    method: 'put',
    data: data
  })
}

// 删除订单信息
export function delInformation(id) {
  return request({
    url: '/system/order/information/' + id,
    method: 'delete'
  })
}
