import request from '@/utils/request'

// 查询服务项目列表
export function listProjects(query) {
  return request({
    url: '/system/projects/list',
    method: 'get',
    params: query
  })
}

// 查询服务项目详细
export function getProjects(itemName) {
  return request({
    url: '/system/projects/' + itemName,
    method: 'get'
  })
}

// 新增服务项目
export function addProjects(data) {
  return request({
    url: '/system/projects',
    method: 'post',
    data: data
  })
}

// 修改服务项目
export function updateProjects(data) {
  return request({
    url: '/system/projects',
    method: 'put',
    data: data
  })
}

// 删除服务项目
export function delProjects(itemName) {
  return request({
    url: '/system/projects/' + itemName,
    method: 'delete'
  })
}

//修改状态
export function handleUpdateState(id, pageState) {
  return request({
    url: '/system/projects/update/state/' + id + "/" + pageState,
    method: 'get'
  })
}

//查询服务分类
export function selectProTypeList() {
  return request({
    url: '/system/type/list',
    method: 'get'
  })
}
