import request from '@/utils/request'

// 查询商家店铺信息列表
export function listInformation(query) {
  return request({
    url: '/shop/information/list',
    method: 'get',
    params: query
  })
}

// 查询商家店铺信息详细
export function getInformation(id) {
  return request({
    url: '/shop/information/' + id,
    method: 'get'
  })
}

// 新增商家店铺信息
export function addInformation(data) {
  return request({
    url: '/shop/information',
    method: 'post',
    data: data
  })
}

// 修改商家店铺信息
export function updateInformation(data) {
  return request({
    url: '/shop/information',
    method: 'put',
    data: data
  })
}

// 删除商家店铺信息
export function delInformation(id) {
  return request({
    url: '/shop/information/' + id,
    method: 'delete'
  })
}
