import request from '@/utils/request'

// 查询提现记录列表
export function listRecord(query) {
  return request({
    url: '/system/withdrawal/record/list',
    method: 'get',
    params: query
  })
}

// 查询提现记录详细
export function getRecord(id) {
  return request({
    url: '/system/withdrawal/record/' + id,
    method: 'get'
  })
}

// 新增提现记录
export function addRecord(data) {
  return request({
    url: '/system/withdrawal/record',
    method: 'post',
    data: data
  })
}

// 修改提现记录
export function updateRecord(data) {
  return request({
    url: '/system/withdrawal/record',
    method: 'put',
    data: data
  })
}

// 删除提现记录
export function delRecord(id) {
  return request({
    url: '/system/withdrawal/record/' + id,
    method: 'delete'
  })
}
